Skip to main content
GET
/
v1
/
polymarket
/
markets
/
{market_id_or_slug}
Get Market
curl --request GET \
  --url https://api.example.com/v1/polymarket/markets/{market_id_or_slug}
{
  "id": "<string>",
  "slug": "<string>",
  "question": "<string>",
  "description": "<string>",
  "category": "<string>",
  "image": "<string>",
  "icon": "<string>",
  "active": true,
  "closed": true,
  "outcomes": [
    "<string>"
  ],
  "yes_price": 123,
  "no_price": 123,
  "volume_24h": 123,
  "volume_total": 123,
  "liquidity": 123,
  "end_date": "<string>",
  "condition_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.edge.glitchexecutor.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

market_id_or_slug
string
required

Response

Successful Response

id
string
required
slug
string
required
question
string
required
description
string
required
category
string | null
required
image
string | null
required
icon
string | null
required
active
boolean
required
closed
boolean
required
outcomes
string[]
required
yes_price
number | null
required
no_price
number | null
required
volume_24h
number | null
required
volume_total
number | null
required
liquidity
number | null
required
end_date
string | null
required
condition_id
string | null
required